mkdir -p './perl/CPAN'
mkdir -p './phpmyadmin/conf.d'
mkdir -p './postfix/sasl'
+mkdir -p './postgresql-common/pg_upgradecluster.d'
mkdir -p './salt/proxy.d'
mkdir -p './security/limits.d'
mkdir -p './security/namespace.d'
maybe chmod 0644 'apt/apt.conf.d/00trustcdrom'
maybe chmod 0644 'apt/apt.conf.d/01autoremove'
maybe chmod 0644 'apt/apt.conf.d/01autoremove-kernels'
+maybe chmod 0644 'apt/apt.conf.d/01autoremove-postgresql'
maybe chmod 0644 'apt/apt.conf.d/05etckeeper'
maybe chmod 0644 'apt/apt.conf.d/70debconf'
maybe chmod 0644 'apt/apt.conf.d/99force-ipv4'
maybe chmod 0755 'init.d/netfilter-persistent'
maybe chmod 0755 'init.d/networking'
maybe chmod 0755 'init.d/postfix'
+maybe chmod 0755 'init.d/postgresql'
maybe chmod 0755 'init.d/procps'
maybe chmod 0755 'init.d/rc'
maybe chmod 0755 'init.d/rc.local'
maybe chmod 0644 'logrotate.d/exim4-base'
maybe chmod 0644 'logrotate.d/exim4-paniclog'
maybe chmod 0644 'logrotate.d/fail2ban'
+maybe chmod 0644 'logrotate.d/postgresql-common'
maybe chmod 0644 'logrotate.d/rsyslog'
maybe chmod 0644 'logrotate.d/salt-common'
maybe chmod 0644 'logrotate.d/ulogd2'
maybe chmod 0755 'postfix/sasl'
maybe chmod 0600 'postfix/smtp_auth'
maybe chmod 0600 'postfix/smtp_auth.db'
+maybe chmod 0755 'postgresql'
+maybe chmod 0755 'postgresql-common'
+maybe chmod 0644 'postgresql-common/createcluster.conf'
+maybe chmod 0755 'postgresql-common/pg_upgradecluster.d'
+maybe chmod 0644 'postgresql-common/root.crt'
+maybe chmod 0644 'postgresql-common/user_clusters'
+maybe chown 'postgres' 'postgresql/9.4'
+maybe chgrp 'postgres' 'postgresql/9.4'
+maybe chmod 0755 'postgresql/9.4'
+maybe chown 'postgres' 'postgresql/9.4/main'
+maybe chgrp 'postgres' 'postgresql/9.4/main'
+maybe chmod 0755 'postgresql/9.4/main'
+maybe chown 'postgres' 'postgresql/9.4/main/environment'
+maybe chgrp 'postgres' 'postgresql/9.4/main/environment'
+maybe chmod 0644 'postgresql/9.4/main/environment'
+maybe chown 'postgres' 'postgresql/9.4/main/pg_ctl.conf'
+maybe chgrp 'postgres' 'postgresql/9.4/main/pg_ctl.conf'
+maybe chmod 0644 'postgresql/9.4/main/pg_ctl.conf'
+maybe chown 'postgres' 'postgresql/9.4/main/pg_hba.conf'
+maybe chgrp 'postgres' 'postgresql/9.4/main/pg_hba.conf'
+maybe chmod 0640 'postgresql/9.4/main/pg_hba.conf'
+maybe chown 'postgres' 'postgresql/9.4/main/pg_ident.conf'
+maybe chgrp 'postgres' 'postgresql/9.4/main/pg_ident.conf'
+maybe chmod 0640 'postgresql/9.4/main/pg_ident.conf'
+maybe chown 'postgres' 'postgresql/9.4/main/postgresql.conf'
+maybe chgrp 'postgres' 'postgresql/9.4/main/postgresql.conf'
+maybe chmod 0644 'postgresql/9.4/main/postgresql.conf'
+maybe chown 'postgres' 'postgresql/9.4/main/start.conf'
+maybe chgrp 'postgres' 'postgresql/9.4/main/start.conf'
+maybe chmod 0644 'postgresql/9.4/main/start.conf'
maybe chmod 0755 'ppp'
maybe chmod 0755 'ppp/ip-down.d'
maybe chmod 0755 'ppp/ip-down.d/bind9'
maybe chmod 0440 'sudoers.d/README'
maybe chmod 0644 'sysctl.conf'
maybe chmod 0755 'sysctl.d'
+maybe chmod 0644 'sysctl.d/30-postgresql-shm.conf'
maybe chmod 0644 'sysctl.d/README.sysctl'
maybe chmod 0755 'systemd'
maybe chmod 0644 'systemd/bootchart.conf'
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ABORT.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_AGGREGATE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_COLLATION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_CONVERSION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_DATABASE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_DEFAULT_PRIVILEGES.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_DOMAIN.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_EVENT_TRIGGER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_EXTENSION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_FOREIGN_DATA_WRAPPER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_FOREIGN_TABLE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_FUNCTION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_GROUP.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_INDEX.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_LANGUAGE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_LARGE_OBJECT.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_MATERIALIZED_VIEW.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_OPERATOR.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_OPERATOR_CLASS.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_OPERATOR_FAMILY.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_ROLE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_RULE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_SCHEMA.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_SEQUENCE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_SERVER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_SYSTEM.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_TABLE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_TABLESPACE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_TEXT_SEARCH_CONFIGURATION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_TEXT_SEARCH_DICTIONARY.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_TEXT_SEARCH_PARSER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_TEXT_SEARCH_TEMPLATE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_TRIGGER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_TYPE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_USER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_USER_MAPPING.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ALTER_VIEW.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ANALYZE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/BEGIN.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CHECKPOINT.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CLOSE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CLUSTER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/COMMENT.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/COMMIT.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/COMMIT_PREPARED.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/COPY.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_AGGREGATE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_CAST.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_COLLATION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_CONVERSION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_DATABASE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_DOMAIN.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_EVENT_TRIGGER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_EXTENSION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_FOREIGN_DATA_WRAPPER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_FOREIGN_TABLE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_FUNCTION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_GROUP.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_INDEX.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_LANGUAGE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_MATERIALIZED_VIEW.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_OPERATOR.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_OPERATOR_CLASS.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_OPERATOR_FAMILY.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_ROLE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_RULE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_SCHEMA.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_SEQUENCE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_SERVER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_TABLE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_TABLESPACE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_TABLE_AS.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_TEXT_SEARCH_CONFIGURATION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_TEXT_SEARCH_DICTIONARY.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_TEXT_SEARCH_PARSER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_TEXT_SEARCH_TEMPLATE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_TRIGGER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_TYPE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_USER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_USER_MAPPING.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/CREATE_VIEW.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DEALLOCATE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DECLARE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DELETE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DISCARD.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DO.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_AGGREGATE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_CAST.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_COLLATION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_CONVERSION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_DATABASE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_DOMAIN.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_EVENT_TRIGGER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_EXTENSION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_FOREIGN_DATA_WRAPPER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_FOREIGN_TABLE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_FUNCTION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_GROUP.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_INDEX.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_LANGUAGE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_MATERIALIZED_VIEW.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_OPERATOR.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_OPERATOR_CLASS.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_OPERATOR_FAMILY.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_OWNED.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_ROLE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_RULE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_SCHEMA.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_SEQUENCE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_SERVER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_TABLE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_TABLESPACE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_TEXT_SEARCH_CONFIGURATION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_TEXT_SEARCH_DICTIONARY.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_TEXT_SEARCH_PARSER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_TEXT_SEARCH_TEMPLATE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_TRIGGER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_TYPE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_USER.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_USER_MAPPING.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/DROP_VIEW.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/END.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/EXECUTE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/EXPLAIN.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/FETCH.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/GRANT.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/INSERT.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/LISTEN.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/LOAD.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/LOCK.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/MOVE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/NOTIFY.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/PREPARE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/PREPARE_TRANSACTION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/REASSIGN_OWNED.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/REFRESH_MATERIALIZED_VIEW.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/REINDEX.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/RELEASE_SAVEPOINT.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/RESET.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/REVOKE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ROLLBACK.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ROLLBACK_PREPARED.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/ROLLBACK_TO_SAVEPOINT.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/SAVEPOINT.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/SECURITY_LABEL.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/SELECT.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/SELECT_INTO.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/SET.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/SET_CONSTRAINTS.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/SET_ROLE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/SET_SESSION_AUTHORIZATION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/SET_TRANSACTION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/SHOW.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/START_TRANSACTION.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/TABLE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/TRUNCATE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/UNLISTEN.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/UPDATE.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/VACUUM.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/VALUES.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man7/WITH.7.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/clusterdb.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/createdb.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/createlang.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/createuser.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/dropdb.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/droplang.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/dropuser.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/initdb.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/pg_basebackup.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/pg_controldata.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/pg_ctl.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/pg_dump.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/pg_dumpall.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/pg_isready.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/pg_receivexlog.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/pg_recvlogical.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/pg_resetxlog.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/pg_restore.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/pg_upgrade.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/pg_xlogdump.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/postgres.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/postmaster.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/psql.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/reindexdb.1.gz
\ No newline at end of file
--- /dev/null
+/usr/share/postgresql/9.4/man/man1/vacuumdb.1.gz
\ No newline at end of file
--- /dev/null
+// File installed by postgresql-common. Currently not updated automatically,
+// but might be in future releases.
+//
+// We mark all PostgreSQL packages as NeverAutoRemove because otherwise apt
+// would remove the old postgresql-x.y package when the "postgresql" meta
+// package changes its dependencies to a new version, rendering the old
+// database cluster inaccessible. As access to the cluster might depend on
+// other modules (like datatypes), we use a pretty wide pattern here. We might
+// tighten this to match only actually used PostgreSQL versions in the future.
+
+APT
+{
+ NeverAutoRemove
+ {
+ "^postgresql-";
+ };
+};
ssh:x:109:
Debian-exim:x:110:
mlocate:x:111:repo
-ssl-cert:x:112:
+ssl-cert:x:112:postgres
postfix:x:113:
postdrop:x:114:
bind:x:999:
ulog:x:115:
+postgres:x:116:
mail:x:8:
news:x:9:
uucp:x:10:
-man:x:12:
+man:x:12:repo
proxy:x:13:
kmem:x:15:
dialout:x:20:
audio:x:29:
dip:x:30:
www-data:x:33:
-backup:x:34:
-operator:x:37:
+backup:x:34:repo
+operator:x:37:repo
list:x:38:
irc:x:39:
-src:x:40:
+src:x:40:repo
gnats:x:41:
shadow:x:42:
utmp:x:43:
video:x:44:
sasl:x:45:
plugdev:x:46:
-staff:x:50:
+staff:x:50:repo
games:x:60:
users:x:100:
nogroup:x:65534:
netdev:x:108:
ssh:x:109:
Debian-exim:x:110:
-mlocate:x:111:
+mlocate:x:111:repo
ssl-cert:x:112:
postfix:x:113:
postdrop:x:114:
bind:x:999:
ulog:x:115:
+postgres:x:116:
ssh:!::
Debian-exim:!::
mlocate:!::repo
-ssl-cert:!::
+ssl-cert:!::postgres
postfix:!::
postdrop:!::
bind:!::
ulog:!::
+postgres:!::
mail:*::
news:*::
uucp:*::
-man:*::
+man:*::repo
proxy:*::
kmem:*::
dialout:*::
audio:*::
dip:*::
www-data:*::
-backup:*::
-operator:*::
+backup:*::repo
+operator:*::repo
list:*::
irc:*::
-src:*::
+src:*::repo
gnats:*::
shadow:*::
utmp:*::
video:*::
sasl:*::
plugdev:*::
-staff:*::
+staff:*::repo
games:*::
users:*::
nogroup:*::
netdev:!::
ssh:!::
Debian-exim:!::
-mlocate:!::
+mlocate:!::repo
ssl-cert:!::
postfix:!::
postdrop:!::
bind:!::
ulog:!::
+postgres:!::
--- /dev/null
+#!/bin/sh
+set -e
+
+### BEGIN INIT INFO
+# Provides: postgresql
+# Required-Start: $local_fs $remote_fs $network $time
+# Required-Stop: $local_fs $remote_fs $network $time
+# Should-Start: $syslog
+# Should-Stop: $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: PostgreSQL RDBMS server
+### END INIT INFO
+
+# Setting environment variables for the postmaster here does not work; please
+# set them in /etc/postgresql/<version>/<cluster>/environment instead.
+
+[ -r /usr/share/postgresql-common/init.d-functions ] || exit 0
+
+. /usr/share/postgresql-common/init.d-functions
+
+# versions can be specified explicitly
+if [ -n "$2" ]; then
+ versions="$2 $3 $4 $5 $6 $7 $8 $9"
+else
+ get_versions
+fi
+
+case "$1" in
+ start|stop|restart|reload)
+ if [ "$1" = "start" ]; then
+ create_socket_directory
+ fi
+ if [ -z "`pg_lsclusters -h`" ]; then
+ log_warning_msg 'No PostgreSQL clusters exist; see "man pg_createcluster"'
+ exit 0
+ fi
+ for v in $versions; do
+ $1 $v || EXIT=$?
+ done
+ exit ${EXIT:-0}
+ ;;
+ status)
+ LS=`pg_lsclusters -h`
+ # no clusters -> unknown status
+ [ -n "$LS" ] || exit 4
+ echo "$LS" | awk 'BEGIN {rc=0} {if (match($4, "down")) rc=3; printf ("%s/%s (port %s): %s\n", $1, $2, $3, $4)}; END {exit rc}'
+ ;;
+ force-reload)
+ for v in $versions; do
+ reload $v
+ done
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|reload|force-reload|status} [version ..]"
+ exit 1
+ ;;
+esac
+
+exit 0
+
--- /dev/null
+/var/log/postgresql/*.log {
+ weekly
+ rotate 10
+ copytruncate
+ delaycompress
+ compress
+ notifempty
+ missingok
+ su root root
+}
bind:x:999:999:Bind daemon user,,,:/var/cache/bind:/bin/false
ulog:x:107:115::/var/log/ulog:/bin/false
repo:x:1111:100:Repository user ns1,,,:/home/repo:/bin/bash
+postgres:x:108:116:PostgreSQL administrator,,,:/var/lib/postgresql:/bin/bash
postfix:x:106:113::/var/spool/postfix:/bin/false
bind:x:999:999:Bind daemon user,,,:/var/cache/bind:/bin/false
ulog:x:107:115::/var/log/ulog:/bin/false
-repo:x:1111:100::/home/repo:/bin/bash
+repo:x:1111:100:Repository user ns1,,,:/home/repo:/bin/bash
+postgres:x:108:116::/var/lib/postgresql:/bin/bash
--- /dev/null
+# Default values for pg_createcluster(8)
+# Occurrences of '%v' are replaced by the major version number,
+# and '%c' by the cluster name. Use '%%' for a literal '%'.
+
+# Create a "main" cluster when a new postgresql-x.y server package is installed
+#create_main_cluster = true
+
+# Default start.conf value, must be one of "auto", "manual", and "disabled".
+# See pg_createcluster(8) for more documentation.
+#start_conf = 'auto'
+
+# Default data directory.
+#data_directory = '/var/lib/postgresql/%v/%c'
+
+# Default directory for transaction logs
+# Unset by default, i.e. pg_xlog remains in the data directory.
+#xlogdir = '/var/lib/postgresql/xlog/%v/%c/pg_xlog'
+
+# Options to pass to initdb.
+#initdb_options = ''
+
+# The following options are copied into the new cluster's postgresql.conf:
+
+# Enable SSL by default (using the "snakeoil" certificates installed by the
+# ssl-cert package, unless configured otherwise here)
+ssl = on
+
+# Put stats_temp_directory on tmpfs
+stats_temp_directory = '/var/run/postgresql/%v-%c.pg_stat_tmp'
+
+# Add prefix to log lines
+log_line_prefix = '%%t [%%p-%%l] %%q%%u@%%d '
--- /dev/null
+This is a dummy root certificate file for PostgreSQL. To enable client side
+authentication, add some certificates to it. Client certificates must be signed
+with any certificate in this file to be accepted.
+
+A reasonable choice is to just symlink this file to
+/etc/ssl/certs/ssl-cert-snakeoil.pem; in this case, client certificates need to
+be signed by the postgresql server certificate, which might be desirable in
+many cases. See chapter "Server Setup and Operation" in the PostgreSQL
+documentation for details (in package postgresql-doc-9.2).
+
+ file:///usr/share/doc/postgresql-doc-9.2/html/ssl-tcp.html
--- /dev/null
+# This file maps users against the database clusters to which they
+# will connect by default. Any user may create ~/.postgresqlrc which
+# will supersede the defaults stored here. If a database is
+# specified, that will be the one connected to by client tools if none
+# is specified on the command line. If the database specified here is
+# "*", this is interpreted as the database whose name is the same as
+# the user's login. (Setting the database to "*" will provide the
+# current default upstream behaviour for command line tools.)
+#
+# When pg_wrapper scans this file, the first matching line is used.
+# It is a good idea to provide a default explicitly, with a final line
+# where both user and group are set to "*". If there is no default,
+# the implicit default is to connect to the cluster whose postmaster
+# is listening on port 5432 and to the database matching the user's
+# login name.
+#
+# In the context of this file, user and group refer to the Unix login
+# or group, not to PostgreSQL users and groups.
+#
+# Please see user_clusters(5) and postgresqlrc(5) for more information.
+#
+# USER GROUP VERSION CLUSTER DATABASE
+
--- /dev/null
+# environment variables for postmaster process
+# This file has the same syntax as postgresql.conf:
+# VARIABLE = simple_value
+# VARIABLE2 = 'any value!'
+# I. e. you need to enclose any value which does not only consist of letters,
+# numbers, and '-', '_', '.' in single quotes. Shell commands are not
+# evaluated.
--- /dev/null
+# Automatic pg_ctl configuration
+# This configuration file contains cluster specific options to be passed to
+# pg_ctl(1).
+
+pg_ctl_options = ''
--- /dev/null
+# PostgreSQL Client Authentication Configuration File
+# ===================================================
+#
+# Refer to the "Client Authentication" section in the PostgreSQL
+# documentation for a complete description of this file. A short
+# synopsis follows.
+#
+# This file controls: which hosts are allowed to connect, how clients
+# are authenticated, which PostgreSQL user names they can use, which
+# databases they can access. Records take one of these forms:
+#
+# local DATABASE USER METHOD [OPTIONS]
+# host DATABASE USER ADDRESS METHOD [OPTIONS]
+# hostssl DATABASE USER ADDRESS METHOD [OPTIONS]
+# hostnossl DATABASE USER ADDRESS METHOD [OPTIONS]
+#
+# (The uppercase items must be replaced by actual values.)
+#
+# The first field is the connection type: "local" is a Unix-domain
+# socket, "host" is either a plain or SSL-encrypted TCP/IP socket,
+# "hostssl" is an SSL-encrypted TCP/IP socket, and "hostnossl" is a
+# plain TCP/IP socket.
+#
+# DATABASE can be "all", "sameuser", "samerole", "replication", a
+# database name, or a comma-separated list thereof. The "all"
+# keyword does not match "replication". Access to replication
+# must be enabled in a separate record (see example below).
+#
+# USER can be "all", a user name, a group name prefixed with "+", or a
+# comma-separated list thereof. In both the DATABASE and USER fields
+# you can also write a file name prefixed with "@" to include names
+# from a separate file.
+#
+# ADDRESS specifies the set of hosts the record matches. It can be a
+# host name, or it is made up of an IP address and a CIDR mask that is
+# an integer (between 0 and 32 (IPv4) or 128 (IPv6) inclusive) that
+# specifies the number of significant bits in the mask. A host name
+# that starts with a dot (.) matches a suffix of the actual host name.
+# Alternatively, you can write an IP address and netmask in separate
+# columns to specify the set of hosts. Instead of a CIDR-address, you
+# can write "samehost" to match any of the server's own IP addresses,
+# or "samenet" to match any address in any subnet that the server is
+# directly connected to.
+#
+# METHOD can be "trust", "reject", "md5", "password", "gss", "sspi",
+# "ident", "peer", "pam", "ldap", "radius" or "cert". Note that
+# "password" sends passwords in clear text; "md5" is preferred since
+# it sends encrypted passwords.
+#
+# OPTIONS are a set of options for the authentication in the format
+# NAME=VALUE. The available options depend on the different
+# authentication methods -- refer to the "Client Authentication"
+# section in the documentation for a list of which options are
+# available for which authentication methods.
+#
+# Database and user names containing spaces, commas, quotes and other
+# special characters must be quoted. Quoting one of the keywords
+# "all", "sameuser", "samerole" or "replication" makes the name lose
+# its special character, and just match a database or username with
+# that name.
+#
+# This file is read on server startup and when the postmaster receives
+# a SIGHUP signal. If you edit the file on a running system, you have
+# to SIGHUP the postmaster for the changes to take effect. You can
+# use "pg_ctl reload" to do that.
+
+# Put your actual configuration here
+# ----------------------------------
+#
+# If you want to allow non-local connections, you need to add more
+# "host" records. In that case you will also need to make PostgreSQL
+# listen on a non-local interface via the listen_addresses
+# configuration parameter, or via the -i or -h command line switches.
+
+
+
+
+# DO NOT DISABLE!
+# If you change this first entry you will need to make sure that the
+# database superuser can access the database using some other method.
+# Noninteractive access to all databases is required during automatic
+# maintenance (custom daily cronjobs, replication, and similar tasks).
+#
+# Database administrative login by Unix domain socket
+local all postgres peer
+
+# TYPE DATABASE USER ADDRESS METHOD
+
+# "local" is for Unix domain socket connections only
+local all all peer
+# IPv4 local connections:
+host all all 127.0.0.1/32 md5
+# IPv6 local connections:
+host all all ::1/128 md5
+# Allow replication connections from localhost, by a user with the
+# replication privilege.
+#local replication postgres peer
+#host replication postgres 127.0.0.1/32 md5
+#host replication postgres ::1/128 md5
--- /dev/null
+# PostgreSQL User Name Maps
+# =========================
+#
+# Refer to the PostgreSQL documentation, chapter "Client
+# Authentication" for a complete description. A short synopsis
+# follows.
+#
+# This file controls PostgreSQL user name mapping. It maps external
+# user names to their corresponding PostgreSQL user names. Records
+# are of the form:
+#
+# MAPNAME SYSTEM-USERNAME PG-USERNAME
+#
+# (The uppercase quantities must be replaced by actual values.)
+#
+# MAPNAME is the (otherwise freely chosen) map name that was used in
+# pg_hba.conf. SYSTEM-USERNAME is the detected user name of the
+# client. PG-USERNAME is the requested PostgreSQL user name. The
+# existence of a record specifies that SYSTEM-USERNAME may connect as
+# PG-USERNAME.
+#
+# If SYSTEM-USERNAME starts with a slash (/), it will be treated as a
+# regular expression. Optionally this can contain a capture (a
+# parenthesized subexpression). The substring matching the capture
+# will be substituted for \1 (backslash-one) if present in
+# PG-USERNAME.
+#
+# Multiple maps may be specified in this file and used by pg_hba.conf.
+#
+# No map names are defined in the default configuration. If all
+# system user names and PostgreSQL user names are the same, you don't
+# need anything in this file.
+#
+# This file is read on server startup and when the postmaster receives
+# a SIGHUP signal. If you edit the file on a running system, you have
+# to SIGHUP the postmaster for the changes to take effect. You can
+# use "pg_ctl reload" to do that.
+
+# Put your actual configuration here
+# ----------------------------------
+
+# MAPNAME SYSTEM-USERNAME PG-USERNAME
--- /dev/null
+# -----------------------------
+# PostgreSQL configuration file
+# -----------------------------
+#
+# This file consists of lines of the form:
+#
+# name = value
+#
+# (The "=" is optional.) Whitespace may be used. Comments are introduced with
+# "#" anywhere on a line. The complete list of parameter names and allowed
+# values can be found in the PostgreSQL documentation.
+#
+# The commented-out settings shown in this file represent the default values.
+# Re-commenting a setting is NOT sufficient to revert it to the default value;
+# you need to reload the server.
+#
+# This file is read on server startup and when the server receives a SIGHUP
+# signal. If you edit the file on a running system, you have to SIGHUP the
+# server for the changes to take effect, or use "pg_ctl reload". Some
+# parameters, which are marked below, require a server shutdown and restart to
+# take effect.
+#
+# Any parameter can also be given as a command-line option to the server, e.g.,
+# "postgres -c log_connections=on". Some parameters can be changed at run time
+# with the "SET" SQL command.
+#
+# Memory units: kB = kilobytes Time units: ms = milliseconds
+# MB = megabytes s = seconds
+# GB = gigabytes min = minutes
+# TB = terabytes h = hours
+# d = days
+
+
+#------------------------------------------------------------------------------
+# FILE LOCATIONS
+#------------------------------------------------------------------------------
+
+# The default values of these variables are driven from the -D command-line
+# option or PGDATA environment variable, represented here as ConfigDir.
+
+data_directory = '/var/lib/postgresql/9.4/main' # use data in another directory
+ # (change requires restart)
+hba_file = '/etc/postgresql/9.4/main/pg_hba.conf' # host-based authentication file
+ # (change requires restart)
+ident_file = '/etc/postgresql/9.4/main/pg_ident.conf' # ident configuration file
+ # (change requires restart)
+
+# If external_pid_file is not explicitly set, no extra PID file is written.
+external_pid_file = '/var/run/postgresql/9.4-main.pid' # write an extra PID file
+ # (change requires restart)
+
+
+#------------------------------------------------------------------------------
+# CONNECTIONS AND AUTHENTICATION
+#------------------------------------------------------------------------------
+
+# - Connection Settings -
+
+#listen_addresses = 'localhost' # what IP address(es) to listen on;
+ # comma-separated list of addresses;
+ # defaults to 'localhost'; use '*' for all
+ # (change requires restart)
+port = 5432 # (change requires restart)
+max_connections = 100 # (change requires restart)
+#superuser_reserved_connections = 3 # (change requires restart)
+unix_socket_directories = '/var/run/postgresql' # comma-separated list of directories
+ # (change requires restart)
+#unix_socket_group = '' # (change requires restart)
+#unix_socket_permissions = 0777 # begin with 0 to use octal notation
+ # (change requires restart)
+#bonjour = off # advertise server via Bonjour
+ # (change requires restart)
+#bonjour_name = '' # defaults to the computer name
+ # (change requires restart)
+
+# - Security and Authentication -
+
+#authentication_timeout = 1min # 1s-600s
+ssl = true # (change requires restart)
+#ssl_ciphers = 'HIGH:MEDIUM:+3DES:!aNULL' # allowed SSL ciphers
+ # (change requires restart)
+#ssl_prefer_server_ciphers = on # (change requires restart)
+#ssl_ecdh_curve = 'prime256v1' # (change requires restart)
+#ssl_renegotiation_limit = 0 # amount of data between renegotiations
+ssl_cert_file = '/etc/ssl/certs/ssl-cert-snakeoil.pem' # (change requires restart)
+ssl_key_file = '/etc/ssl/private/ssl-cert-snakeoil.key' # (change requires restart)
+#ssl_ca_file = '' # (change requires restart)
+#ssl_crl_file = '' # (change requires restart)
+#password_encryption = on
+#db_user_namespace = off
+
+# GSSAPI using Kerberos
+#krb_server_keyfile = ''
+#krb_caseins_users = off
+
+# - TCP Keepalives -
+# see "man 7 tcp" for details
+
+#tcp_keepalives_idle = 0 # TCP_KEEPIDLE, in seconds;
+ # 0 selects the system default
+#tcp_keepalives_interval = 0 # TCP_KEEPINTVL, in seconds;
+ # 0 selects the system default
+#tcp_keepalives_count = 0 # TCP_KEEPCNT;
+ # 0 selects the system default
+
+
+#------------------------------------------------------------------------------
+# RESOURCE USAGE (except WAL)
+#------------------------------------------------------------------------------
+
+# - Memory -
+
+shared_buffers = 128MB # min 128kB
+ # (change requires restart)
+#huge_pages = try # on, off, or try
+ # (change requires restart)
+#temp_buffers = 8MB # min 800kB
+#max_prepared_transactions = 0 # zero disables the feature
+ # (change requires restart)
+# Caution: it is not advisable to set max_prepared_transactions nonzero unless
+# you actively intend to use prepared transactions.
+#work_mem = 4MB # min 64kB
+#maintenance_work_mem = 64MB # min 1MB
+#autovacuum_work_mem = -1 # min 1MB, or -1 to use maintenance_work_mem
+#max_stack_depth = 2MB # min 100kB
+dynamic_shared_memory_type = posix # the default is the first option
+ # supported by the operating system:
+ # posix
+ # sysv
+ # windows
+ # mmap
+ # use none to disable dynamic shared memory
+
+# - Disk -
+
+#temp_file_limit = -1 # limits per-session temp file space
+ # in kB, or -1 for no limit
+
+# - Kernel Resource Usage -
+
+#max_files_per_process = 1000 # min 25
+ # (change requires restart)
+#shared_preload_libraries = '' # (change requires restart)
+
+# - Cost-Based Vacuum Delay -
+
+#vacuum_cost_delay = 0 # 0-100 milliseconds
+#vacuum_cost_page_hit = 1 # 0-10000 credits
+#vacuum_cost_page_miss = 10 # 0-10000 credits
+#vacuum_cost_page_dirty = 20 # 0-10000 credits
+#vacuum_cost_limit = 200 # 1-10000 credits
+
+# - Background Writer -
+
+#bgwriter_delay = 200ms # 10-10000ms between rounds
+#bgwriter_lru_maxpages = 100 # 0-1000 max buffers written/round
+#bgwriter_lru_multiplier = 2.0 # 0-10.0 multipler on buffers scanned/round
+
+# - Asynchronous Behavior -
+
+#effective_io_concurrency = 1 # 1-1000; 0 disables prefetching
+#max_worker_processes = 8
+
+
+#------------------------------------------------------------------------------
+# WRITE AHEAD LOG
+#------------------------------------------------------------------------------
+
+# - Settings -
+
+#wal_level = minimal # minimal, archive, hot_standby, or logical
+ # (change requires restart)
+#fsync = on # turns forced synchronization on or off
+#synchronous_commit = on # synchronization level;
+ # off, local, remote_write, or on
+#wal_sync_method = fsync # the default is the first option
+ # supported by the operating system:
+ # open_datasync
+ # fdatasync (default on Linux)
+ # fsync
+ # fsync_writethrough
+ # open_sync
+#full_page_writes = on # recover from partial page writes
+#wal_log_hints = off # also do full page writes of non-critical updates
+ # (change requires restart)
+#wal_buffers = -1 # min 32kB, -1 sets based on shared_buffers
+ # (change requires restart)
+#wal_writer_delay = 200ms # 1-10000 milliseconds
+
+#commit_delay = 0 # range 0-100000, in microseconds
+#commit_siblings = 5 # range 1-1000
+
+# - Checkpoints -
+
+#checkpoint_segments = 3 # in logfile segments, min 1, 16MB each
+#checkpoint_timeout = 5min # range 30s-1h
+#checkpoint_completion_target = 0.5 # checkpoint target duration, 0.0 - 1.0
+#checkpoint_warning = 30s # 0 disables
+
+# - Archiving -
+
+#archive_mode = off # allows archiving to be done
+ # (change requires restart)
+#archive_command = '' # command to use to archive a logfile segment
+ # placeholders: %p = path of file to archive
+ # %f = file name only
+ # e.g. 'test ! -f /mnt/server/archivedir/%f && cp %p /mnt/server/archivedir/%f'
+#archive_timeout = 0 # force a logfile segment switch after this
+ # number of seconds; 0 disables
+
+
+#------------------------------------------------------------------------------
+# REPLICATION
+#------------------------------------------------------------------------------
+
+# - Sending Server(s) -
+
+# Set these on the master and on any standby that will send replication data.
+
+#max_wal_senders = 0 # max number of walsender processes
+ # (change requires restart)
+#wal_keep_segments = 0 # in logfile segments, 16MB each; 0 disables
+#wal_sender_timeout = 60s # in milliseconds; 0 disables
+
+#max_replication_slots = 0 # max number of replication slots
+ # (change requires restart)
+
+# - Master Server -
+
+# These settings are ignored on a standby server.
+
+#synchronous_standby_names = '' # standby servers that provide sync rep
+ # comma-separated list of application_name
+ # from standby(s); '*' = all
+#vacuum_defer_cleanup_age = 0 # number of xacts by which cleanup is delayed
+
+# - Standby Servers -
+
+# These settings are ignored on a master server.
+
+#hot_standby = off # "on" allows queries during recovery
+ # (change requires restart)
+#max_standby_archive_delay = 30s # max delay before canceling queries
+ # when reading WAL from archive;
+ # -1 allows indefinite delay
+#max_standby_streaming_delay = 30s # max delay before canceling queries
+ # when reading streaming WAL;
+ # -1 allows indefinite delay
+#wal_receiver_status_interval = 10s # send replies at least this often
+ # 0 disables
+#hot_standby_feedback = off # send info from standby to prevent
+ # query conflicts
+#wal_receiver_timeout = 60s # time that receiver waits for
+ # communication from master
+ # in milliseconds; 0 disables
+
+
+#------------------------------------------------------------------------------
+# QUERY TUNING
+#------------------------------------------------------------------------------
+
+# - Planner Method Configuration -
+
+#enable_bitmapscan = on
+#enable_hashagg = on
+#enable_hashjoin = on
+#enable_indexscan = on
+#enable_indexonlyscan = on
+#enable_material = on
+#enable_mergejoin = on
+#enable_nestloop = on
+#enable_seqscan = on
+#enable_sort = on
+#enable_tidscan = on
+
+# - Planner Cost Constants -
+
+#seq_page_cost = 1.0 # measured on an arbitrary scale
+#random_page_cost = 4.0 # same scale as above
+#cpu_tuple_cost = 0.01 # same scale as above
+#cpu_index_tuple_cost = 0.005 # same scale as above
+#cpu_operator_cost = 0.0025 # same scale as above
+#effective_cache_size = 4GB
+
+# - Genetic Query Optimizer -
+
+#geqo = on
+#geqo_threshold = 12
+#geqo_effort = 5 # range 1-10
+#geqo_pool_size = 0 # selects default based on effort
+#geqo_generations = 0 # selects default based on effort
+#geqo_selection_bias = 2.0 # range 1.5-2.0
+#geqo_seed = 0.0 # range 0.0-1.0
+
+# - Other Planner Options -
+
+#default_statistics_target = 100 # range 1-10000
+#constraint_exclusion = partition # on, off, or partition
+#cursor_tuple_fraction = 0.1 # range 0.0-1.0
+#from_collapse_limit = 8
+#join_collapse_limit = 8 # 1 disables collapsing of explicit
+ # JOIN clauses
+
+
+#------------------------------------------------------------------------------
+# ERROR REPORTING AND LOGGING
+#------------------------------------------------------------------------------
+
+# - Where to Log -
+
+#log_destination = 'stderr' # Valid values are combinations of
+ # stderr, csvlog, syslog, and eventlog,
+ # depending on platform. csvlog
+ # requires logging_collector to be on.
+
+# This is used when logging to stderr:
+#logging_collector = off # Enable capturing of stderr and csvlog
+ # into log files. Required to be on for
+ # csvlogs.
+ # (change requires restart)
+
+# These are only used if logging_collector is on:
+#log_directory = 'pg_log' # directory where log files are written,
+ # can be absolute or relative to PGDATA
+#log_filename = 'postgresql-%Y-%m-%d_%H%M%S.log' # log file name pattern,
+ # can include strftime() escapes
+#log_file_mode = 0600 # creation mode for log files,
+ # begin with 0 to use octal notation
+#log_truncate_on_rotation = off # If on, an existing log file with the
+ # same name as the new log file will be
+ # truncated rather than appended to.
+ # But such truncation only occurs on
+ # time-driven rotation, not on restarts
+ # or size-driven rotation. Default is
+ # off, meaning append to existing files
+ # in all cases.
+#log_rotation_age = 1d # Automatic rotation of logfiles will
+ # happen after that time. 0 disables.
+#log_rotation_size = 10MB # Automatic rotation of logfiles will
+ # happen after that much log output.
+ # 0 disables.
+
+# These are relevant when logging to syslog:
+#syslog_facility = 'LOCAL0'
+#syslog_ident = 'postgres'
+
+# This is only relevant when logging to eventlog (win32):
+#event_source = 'PostgreSQL'
+
+# - When to Log -
+
+#client_min_messages = notice # values in order of decreasing detail:
+ # debug5
+ # debug4
+ # debug3
+ # debug2
+ # debug1
+ # log
+ # notice
+ # warning
+ # error
+
+#log_min_messages = warning # values in order of decreasing detail:
+ # debug5
+ # debug4
+ # debug3
+ # debug2
+ # debug1
+ # info
+ # notice
+ # warning
+ # error
+ # log
+ # fatal
+ # panic
+
+#log_min_error_statement = error # values in order of decreasing detail:
+ # debug5
+ # debug4
+ # debug3
+ # debug2
+ # debug1
+ # info
+ # notice
+ # warning
+ # error
+ # log
+ # fatal
+ # panic (effectively off)
+
+#log_min_duration_statement = -1 # -1 is disabled, 0 logs all statements
+ # and their durations, > 0 logs only
+ # statements running at least this number
+ # of milliseconds
+
+
+# - What to Log -
+
+#debug_print_parse = off
+#debug_print_rewritten = off
+#debug_print_plan = off
+#debug_pretty_print = on
+#log_checkpoints = off
+#log_connections = off
+#log_disconnections = off
+#log_duration = off
+#log_error_verbosity = default # terse, default, or verbose messages
+#log_hostname = off
+log_line_prefix = '%t [%p-%l] %q%u@%d ' # special values:
+ # %a = application name
+ # %u = user name
+ # %d = database name
+ # %r = remote host and port
+ # %h = remote host
+ # %p = process ID
+ # %t = timestamp without milliseconds
+ # %m = timestamp with milliseconds
+ # %i = command tag
+ # %e = SQL state
+ # %c = session ID
+ # %l = session line number
+ # %s = session start timestamp
+ # %v = virtual transaction ID
+ # %x = transaction ID (0 if none)
+ # %q = stop here in non-session
+ # processes
+ # %% = '%'
+ # e.g. '<%u%%%d> '
+#log_lock_waits = off # log lock waits >= deadlock_timeout
+#log_statement = 'none' # none, ddl, mod, all
+#log_temp_files = -1 # log temporary files equal or larger
+ # than the specified size in kilobytes;
+ # -1 disables, 0 logs all temp files
+log_timezone = 'localtime'
+
+
+#------------------------------------------------------------------------------
+# RUNTIME STATISTICS
+#------------------------------------------------------------------------------
+
+# - Query/Index Statistics Collector -
+
+#track_activities = on
+#track_counts = on
+#track_io_timing = off
+#track_functions = none # none, pl, all
+#track_activity_query_size = 1024 # (change requires restart)
+#update_process_title = on
+stats_temp_directory = '/var/run/postgresql/9.4-main.pg_stat_tmp'
+
+
+# - Statistics Monitoring -
+
+#log_parser_stats = off
+#log_planner_stats = off
+#log_executor_stats = off
+#log_statement_stats = off
+
+
+#------------------------------------------------------------------------------
+# AUTOVACUUM PARAMETERS
+#------------------------------------------------------------------------------
+
+#autovacuum = on # Enable autovacuum subprocess? 'on'
+ # requires track_counts to also be on.
+#log_autovacuum_min_duration = -1 # -1 disables, 0 logs all actions and
+ # their durations, > 0 logs only
+ # actions running at least this number
+ # of milliseconds.
+#autovacuum_max_workers = 3 # max number of autovacuum subprocesses
+ # (change requires restart)
+#autovacuum_naptime = 1min # time between autovacuum runs
+#autovacuum_vacuum_threshold = 50 # min number of row updates before
+ # vacuum
+#autovacuum_analyze_threshold = 50 # min number of row updates before
+ # analyze
+#autovacuum_vacuum_scale_factor = 0.2 # fraction of table size before vacuum
+#autovacuum_analyze_scale_factor = 0.1 # fraction of table size before analyze
+#autovacuum_freeze_max_age = 200000000 # maximum XID age before forced vacuum
+ # (change requires restart)
+#autovacuum_multixact_freeze_max_age = 400000000 # maximum multixact age
+ # before forced vacuum
+ # (change requires restart)
+#autovacuum_vacuum_cost_delay = 20ms # default vacuum cost delay for
+ # autovacuum, in milliseconds;
+ # -1 means use vacuum_cost_delay
+#autovacuum_vacuum_cost_limit = -1 # default vacuum cost limit for
+ # autovacuum, -1 means use
+ # vacuum_cost_limit
+
+
+#------------------------------------------------------------------------------
+# CLIENT CONNECTION DEFAULTS
+#------------------------------------------------------------------------------
+
+# - Statement Behavior -
+
+#search_path = '"$user",public' # schema names
+#default_tablespace = '' # a tablespace name, '' uses the default
+#temp_tablespaces = '' # a list of tablespace names, '' uses
+ # only default tablespace
+#check_function_bodies = on
+#default_transaction_isolation = 'read committed'
+#default_transaction_read_only = off
+#default_transaction_deferrable = off
+#session_replication_role = 'origin'
+#statement_timeout = 0 # in milliseconds, 0 is disabled
+#lock_timeout = 0 # in milliseconds, 0 is disabled
+#vacuum_freeze_min_age = 50000000
+#vacuum_freeze_table_age = 150000000
+#vacuum_multixact_freeze_min_age = 5000000
+#vacuum_multixact_freeze_table_age = 150000000
+#bytea_output = 'hex' # hex, escape
+#xmlbinary = 'base64'
+#xmloption = 'content'
+#gin_fuzzy_search_limit = 0
+
+# - Locale and Formatting -
+
+datestyle = 'iso, dmy'
+#intervalstyle = 'postgres'
+timezone = 'localtime'
+#timezone_abbreviations = 'Default' # Select the set of available time zone
+ # abbreviations. Currently, there are
+ # Default
+ # Australia (historical usage)
+ # India
+ # You can create your own file in
+ # share/timezonesets/.
+#extra_float_digits = 0 # min -15, max 3
+#client_encoding = sql_ascii # actually, defaults to database
+ # encoding
+
+# These settings are initialized by initdb, but they can be changed.
+lc_messages = 'de_DE.UTF-8' # locale for system error message
+ # strings
+lc_monetary = 'de_DE.UTF-8' # locale for monetary formatting
+lc_numeric = 'de_DE.UTF-8' # locale for number formatting
+lc_time = 'de_DE.UTF-8' # locale for time formatting
+
+# default configuration for text search
+default_text_search_config = 'pg_catalog.german'
+
+# - Other Defaults -
+
+#dynamic_library_path = '$libdir'
+#local_preload_libraries = ''
+#session_preload_libraries = ''
+
+
+#------------------------------------------------------------------------------
+# LOCK MANAGEMENT
+#------------------------------------------------------------------------------
+
+#deadlock_timeout = 1s
+#max_locks_per_transaction = 64 # min 10
+ # (change requires restart)
+#max_pred_locks_per_transaction = 64 # min 10
+ # (change requires restart)
+
+
+#------------------------------------------------------------------------------
+# VERSION/PLATFORM COMPATIBILITY
+#------------------------------------------------------------------------------
+
+# - Previous PostgreSQL Versions -
+
+#array_nulls = on
+#backslash_quote = safe_encoding # on, off, or safe_encoding
+#default_with_oids = off
+#escape_string_warning = on
+#lo_compat_privileges = off
+#quote_all_identifiers = off
+#sql_inheritance = on
+#standard_conforming_strings = on
+#synchronize_seqscans = on
+
+# - Other Platforms and Clients -
+
+#transform_null_equals = off
+
+
+#------------------------------------------------------------------------------
+# ERROR HANDLING
+#------------------------------------------------------------------------------
+
+#exit_on_error = off # terminate session on any error?
+#restart_after_crash = on # reinitialize after backend crash?
+
+
+#------------------------------------------------------------------------------
+# CONFIG FILE INCLUDES
+#------------------------------------------------------------------------------
+
+# These options allow settings to be loaded from files other than the
+# default postgresql.conf.
+
+#include_dir = 'conf.d' # include files ending in '.conf' from
+ # directory 'conf.d'
+#include_if_exists = 'exists.conf' # include file only if it exists
+#include = 'special.conf' # include file
+
+
+#------------------------------------------------------------------------------
+# CUSTOMIZED OPTIONS
+#------------------------------------------------------------------------------
+
+# Add settings for extensions here
--- /dev/null
+# Automatic startup configuration
+# auto: automatically start/stop the cluster in the init script
+# manual: do not start/stop in init scripts, but allow manual startup with
+# pg_ctlcluster
+# disabled: do not allow manual startup with pg_ctlcluster (this can be easily
+# circumvented and is only meant to be a small protection for
+# accidents).
+
+auto
--- /dev/null
+../init.d/postgresql
\ No newline at end of file
--- /dev/null
+../init.d/postgresql
\ No newline at end of file
--- /dev/null
+../init.d/postgresql
\ No newline at end of file
--- /dev/null
+../init.d/postgresql
\ No newline at end of file
--- /dev/null
+../init.d/postgresql
\ No newline at end of file
--- /dev/null
+../init.d/postgresql
\ No newline at end of file
--- /dev/null
+../init.d/postgresql
\ No newline at end of file
bind:!:16868::::::
ulog:*:16920:0:99999:7:::
repo:!:17100:0:99999:7:::
+postgres:*:17175:0:99999:7:::
postfix:*:16867:0:99999:7:::
bind:!:16868::::::
ulog:*:16920:0:99999:7:::
+repo:!:17100:0:99999:7:::
+postgres:*:17175:0:99999:7:::
bind:558752:65536
ulog:624288:65536
repo:689824:65536
+postgres:755360:65536
postfix:493216:65536
bind:558752:65536
ulog:624288:65536
+repo:689824:65536
bind:558752:65536
ulog:624288:65536
repo:689824:65536
+postgres:755360:65536
postfix:493216:65536
bind:558752:65536
ulog:624288:65536
+repo:689824:65536
--- /dev/null
+# Shared memory settings for PostgreSQL on Linux
+
+# The settings here are upper limits; performance is not affected if the
+# settings are larger than necessary. If other programs use shared memory as
+# well, you will have to coordinate the size settings between them.
+
+# Maximum size of a single shared memory segment in bytes
+#kernel.shmmax = 33554432
+
+# Maximum total size of all shared memory segments in pages (normally 4096 bytes)
+#kernel.shmall = 2097152
+
--- /dev/null
+/lib/systemd/system/postgresql.service
\ No newline at end of file